com.sun.javadoc

## Interface ParamTag

All Superinterfaces:
  Tag

    public interface ParamTag
    extends Tag

Represents an @param documentation tag. Stores the name and comment parts of the parameter tag. An @param tag may represent either a method or constructor parameter, or a type parameter.

### Method Summary

Methods
`boolean` `isTypeParameter()` Return true if this `ParamTag` corresponds to a type parameter.
`String` `parameterComment()` Return the parameter comment associated with this `ParamTag`.
`String` `parameterName()` Return the name of the parameter or type parameter associated with this `ParamTag`.

### Methods inherited from interface com.sun.javadoc.Tag

`firstSentenceTags, holder, inlineTags, kind, name, position, text, toString`

### Method Detail

#### parameterName

    String parameterName()

Return the name of the parameter or type parameter associated with this `ParamTag`. The angle brackets delimiting a type parameter are not part of its name.

Returns:
  the parameter name.

#### parameterComment

    String parameterComment()

Return the parameter comment associated with this `ParamTag`.

Returns:
  the parameter comment.

#### isTypeParameter

    boolean isTypeParameter()

Return true if this `ParamTag` corresponds to a type parameter. Return false if it corresponds to an ordinary parameter of a method or constructor.

Returns:
  true if this `ParamTag` corresponds to a type parameter.
Since:
  1.5